Subject: bug#54162: 29.0.50; notmuch search for nnmaildir is broken

From: Eric Abrahamsen <[email-masked]>
Date: Fri, 25 Feb 2022 11:40:46 -0800

Jose A Ortega Ruiz <[email-masked]> writes:

> hi,
>
> nnmaildir servers can be configured without apparent problem in emacs 28
> (pre-release branch) with notmuch as their search engine.  for instance,
> if my maildirs live in ~/var/mail and i index them with notmuch, i can
> use as gnus-secondary-select-methods something like:
>
>      ((nnmaildir ""
>                  (directory "~/var/mail/")
>                  (gnus-search-engine gnus-search-notmuch
>                                      (remove-prefix "/home/jao/var/mail/"))))
>
> and searches work just fine.  however, in current master, all searches
> simply report, very quickly, empty results, without even logging
> anything (despite gnus-verbose set to 10).
>
> i suspect this is a side-effect of the latest fixes for AW in search
> results for nnml, but i don't have time to dig deeper, sorry.
>
> cheers,
> jao

Noooooooooooooo......

Okay, that out of the way, I wonder if the fact that your server doesn't
have a "name" is causing the error. I'll try setting up something like
that locally and reporting back.

Thanks,
Eric